classification
Title: Tkinter: pkg-config is not used to get location of tcl and tk headers/libraries
Type: enhancement Stage: resolved
Components: Build, Tkinter Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: epaine, m000, ned.deily, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2020-12-08 18:07 by m000, last changed 2021-03-01 05:27 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23721 merged m000, 2020-12-09 16:31
PR 24675 merged ned.deily, 2021-03-01 04:56
Messages (6)
msg382756 - (view) Author: Manolis Stamatogiannakis (m000) * Date: 2020-12-08 18:07
This is indirectly related to 42541: If pkg-config settings are honoured, it is made easier to compile Python against a modern version of TCL/TK.
msg382769 - (view) Author: Manolis Stamatogiannakis (m000) * Date: 2020-12-08 22:20
I already have a patch to fix this. Waiting for my CLA to be registered before creating a PR.
msg382897 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-12-12 01:45
Correctly prefixed, issue 42541 and #42541 are links.  And thanks for doing CLA first.
msg387834 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-03-01 03:30
New changeset d20279494a3a311c7aefa313174c45d32aa7f5d1 by Manolis Stamatogiannakis in branch 'master':
bpo-42603: Use pkg-config to get TCL/TK paths for tkinter. (GH-23721)
https://github.com/python/cpython/commit/d20279494a3a311c7aefa313174c45d32aa7f5d1
msg387835 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-03-01 03:32
Thanks for the PR. Merged for inclusion in 3.10.0a6.
msg387842 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-03-01 05:27
New changeset a65b050516a4ec8f5fc591119b94ceaaa5f7afe3 by Ned Deily in branch 'master':
bpo-42603: Add whatsnew and ACKS entries. (GH-24675)
https://github.com/python/cpython/commit/a65b050516a4ec8f5fc591119b94ceaaa5f7afe3
History
Date User Action Args
2021-03-01 05:27:39ned.deilysetmessages: + msg387842
2021-03-01 04:56:00ned.deilysetpull_requests: + pull_request23460
2021-03-01 03:32:06ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg387835

stage: patch review -> resolved
2021-03-01 03:30:03ned.deilysetmessages: + msg387834
2020-12-12 23:44:40ned.deilysetnosy: + ned.deily
2020-12-12 01:45:32terry.reedysetnosy: + terry.reedy
messages: + msg382897
2020-12-09 16:31:40m000setkeywords: + patch
stage: patch review
pull_requests: + pull_request22581
2020-12-08 22:20:53m000setmessages: + msg382769
2020-12-08 20:13:23epainesetnosy: + serhiy.storchaka, epaine

type: compile error -> enhancement
components: + Build
versions: - Python 3.8, Python 3.9
2020-12-08 18:07:44m000create